%if 0%{?el6}%{?el7}
    # python3 and python version related macros
    # required to build python3- subpackage
    # are not available in el6 and el7
    %global with_python3    0
    %global __python2       %{__python}
    %global python2_sitelib %{python_sitelib}
%else
    %bcond_without python3
%endif

Name:           python-flock
Version:        0.1
Release:        4%{?dist}
Summary:        Flock object for with statement

Group:          Development/Languages
License:        BSD
URL:            https://github.com/misli/python-flock
Source:         http://github.srcurl.net/misli/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
Flock object uses fcntl.flock to lock (resp. unlock)
file descriptor (fd) with operation (op)
when entering (resp. leaving) runtime context related to it.


%if 0%{?with_python3}
%package     -n python3-flock
Summary:        Flock object for with statement
Group:          Development/Languages

%description -n python3-flock
Flock object uses fcntl.flock to lock (resp. unlock)
file descriptor (fd) with operation (op)
when entering (resp. leaving) runtime context related to it.
%endif


%prep
%setup -q

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif


%files
%doc README.md LICENSE
%{python_sitelib}/flock.py
%{python_sitelib}/flock.py[co]
%{python_sitelib}/flock-%{version}-py2.*.egg-info


%if 0%{?with_python3}
%files -n python3-flock
%doc README.md LICENSE
%{python3_sitelib}/flock.py
%{python3_sitelib}/__pycache__/flock.*
%{python3_sitelib}/flock-%{version}-py3.*.egg-info
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Feb 27 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1-1
- new package
